package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @author mozhu
 * @date 2021/12/23 13:48
 */
public class TabExternalUseridLog implements Serializable {
    private static final long serialVersionUID = 7378125418509843606L;
    /**
     * id
     */
    private Long id;

    /**
     * 旧外部联系人id
     */
    private String oldExternalUserId;

    /**
     * 新外部联系人id
     */
    private String newExternalUserId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * creator_id
     */
    private String creatorId;

    /**
     * creator_name
     */
    private String creatorName;
    private Integer statusFlag;

    /**
     * create_time
     */
    private Date createTime;

    /**
     * update_time
     */
    private Date updateTime;


    public TabExternalUseridLog() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOldExternalUserId() {
        return oldExternalUserId;
    }

    public void setOldExternalUserId(String oldExternalUserId) {
        this.oldExternalUserId = oldExternalUserId;
    }

    public String getNewExternalUserId() {
        return newExternalUserId;
    }

    public void setNewExternalUserId(String newExternalUserId) {
        this.newExternalUserId = newExternalUserId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }
}
